<div class="ranged-slider-container">
  <mat-form-field appearance="standard">
    <input
      matInput
      class="input"
      [(ngModel)]="this.minValue"
      [formControl]="inputMin"
      type="number"
      step="{{ this.step }}"
      (change)="onChangeMinInput()"
    />
    <span matSuffix class="unit">{{ this.unit }}</span>
    <mat-error>Invalid value.</mat-error>
  </mat-form-field>
  <span> – </span>
  <mat-form-field appearance="standard">
    <input
      matInput
      class="input"
      [(ngModel)]="this.maxValue"
      [formControl]="inputMax"
      type="number"
      step="{{ this.step }}"
      (change)="onChangeMaxInput()"
    />
    <span matSuffix class="unit">{{ this.unit }}</span>
    <mat-error>Invalid value.</mat-error>
  </mat-form-field>
  <ngx-slider
    #slider
    *ngIf="
      options !== undefined && minValue !== undefined && maxValue !== undefined
    "
    [options]="options"
    [(value)]="minValue"
    [(highValue)]="maxValue"
    (valueChange)="onChangeMinInput()"
    (highValueChange)="onChangeMaxInput()"
  ></ngx-slider>
</div>
